import { createApp } from 'vue'
import { createPinia } from 'pinia'
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'
import router from './router/index'
import App from './App.vue'
import 'vant/es/toast/style'
import 'vant/es/dialog/style'
import 'amfe-flexible'

import 'virtual:windi.css'
import './styles/main.scss'
import './styles/table.scss'
import './styles/pdf.scss'

const app = createApp(App)
const pinia = createPinia()
pinia.use(piniaPluginPersistedstate)

app.use(pinia)
app.use(router)
app.mount('#app')
